# coding: utf-8
from setuptools import setup

import graygoo


setupargs = {
    'name': 'GrayGoo',
    'description': 'A command line tool for speeding up the menial task of '
                   'using and writing Boilerplate code, using templates.',
    'url': 'http://flyingelephantsoftware.de/graygoo/',
    'license': 'GPLv3',
    'version': graygoo.__version__,

    'packages': ['graygoo'],
    'include_package_data': True,
    'zip_safe': False,

    'entry_points': {
        'console_scripts': [
            'graygoo = graygoo.cli:main',
        ],
    },

    'classifiers': [
        'Development Status :: 4 - Beta',
        'Environment :: Console',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Natural Language :: English',
        'Operating System :: OS Independent',
        'Topic :: Software Development :: Code Generators',
        'Topic :: Utilities',
    ],

    'author': 'Philipp Benjamin Koeppchen',
    'author_email': 'koeppchen@flyingelephantsoftware.de',
}


if __name__ == '__main__':
    setup(**setupargs)
